(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var SLRoutes = (function () {
        function SLRoutes() {
        }
        SLRoutes.agentsV1 = function () {
            return SLRoutes.V1 + SLRoutes.AGENTS;
        };
        SLRoutes.buildSessionV1 = function (buildSessionId) {
            var result = SLRoutes.buildSessionV1();
            if (buildSessionId != null) {
                result += "/" + buildSessionId;
            }
            return result;
        };
        SLRoutes.V1 = "v1/";
        SLRoutes.V2 = "v2/";
        SLRoutes.V3 = "v3/";
        SLRoutes.AGENTS = "agents/";
        SLRoutes.BUILD_SESSION_ID = "buildsession/";
        return SLRoutes;
    }());
    exports.SLRoutes = SLRoutes;
});
//# sourceMappingURL=sl-routes.js.map